summaryrefslogtreecommitdiffstats
path: root/desktop/icewm
diff options
context:
space:
mode:
author Robby Workman2010-05-11 22:21:53 +0200
committer David Somero2010-05-11 22:21:53 +0200
commitbc71818e74a2890d81eaaef4d4217c222a5cafee (patch)
tree93e948a04b864d0dafd0316398248f2c41422904 /desktop/icewm
parentf286a25d705137066da3260d6c810717e22ea7e0 (diff)
downloadslackbuilds-bc71818e74a2890d81eaaef4d4217c222a5cafee.tar.gz
desktop/icewm: Updated for version 1.2.36
Diffstat (limited to 'desktop/icewm')
-rw-r--r--desktop/icewm/doinst.sh3
-rw-r--r--desktop/icewm/icewm.SlackBuild20
-rw-r--r--desktop/icewm/icewm.info8
-rw-r--r--desktop/icewm/xinitrc.icewm24
4 files changed, 24 insertions, 31 deletions
diff --git a/desktop/icewm/doinst.sh b/desktop/icewm/doinst.sh
index 140e332222..a9ca196938 100644
--- a/desktop/icewm/doinst.sh
+++ b/desktop/icewm/doinst.sh
@@ -1,3 +1,4 @@
if [ -x /usr/bin/update-desktop-database ]; then
- /usr/bin/update-desktop-database -q usr/share/applications
+ /usr/bin/update-desktop-database -q usr/share/applications 2>/dev/null
fi
+
diff --git a/desktop/icewm/icewm.SlackBuild b/desktop/icewm/icewm.SlackBuild
index e50c7c7e6f..cba32238bf 100644
--- a/desktop/icewm/icewm.SlackBuild
+++ b/desktop/icewm/icewm.SlackBuild
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=icewm
-VERSION=${VERSION:-1.2.35}
+VERSION=${VERSION:-1.2.36}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -61,19 +61,22 @@ CXXFLAGS="$SLKCFLAGS" \
./configure \
--with-x \
--prefix=/usr \
+ --mandir=/usr/man \
--sysconfdir=/etc \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --with-docdir=/usr/doc/$PRGNAM-$VERSION \
--enable-corefonts \
- --enable-antialiasing
+ --enable-antialiasing \
+ --disable-static \
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-( cd $PKG/usr/man
+( cd $PKG/usr/man || exit 1
find . -type f -exec gzip -9 {} \;
for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
)
@@ -89,7 +92,8 @@ mkdir -p $PKG/usr/man/man1
gzip -9c doc/icewm.1.man > $PKG/usr/man/man1/icewm.1.gz
# Add xinitrc for xwmconfig(1)
-install -D -m 0755 $CWD/xinitrc.icewm $PKG/etc/X11/xinit/xinitrc.icewm
+mkdir -p $PKG/etc/X11/xinit
+cat $CWD/xinitrc.icewm > $PKG/etc/X11/xinit/xinitrc.icewm
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/desktop/icewm/icewm.info b/desktop/icewm/icewm.info
index 484eccd6f4..5e76af57d1 100644
--- a/desktop/icewm/icewm.info
+++ b/desktop/icewm/icewm.info
@@ -1,8 +1,8 @@
PRGNAM="icewm"
-VERSION="1.2.35"
+VERSION="1.2.36"
HOMEPAGE="http://icewm.org"
-DOWNLOAD="http://downloads.sourceforge.net/icewm/icewm-1.2.35.tar.gz"
-MD5SUM="a2adc53ab4c0c7ca6daa1ca4c697ffe9"
+DOWNLOAD="http://downloads.sourceforge.net/icewm/icewm-1.2.36.tar.gz"
+MD5SUM="a9761dcde3633ca677b62e1f1abada3d"
MAINTAINER="Robby Workman"
EMAIL="rw@rlworkman.net"
-APPROVED="David Somero"
+APPROVED="dsomero"
diff --git a/desktop/icewm/xinitrc.icewm b/desktop/icewm/xinitrc.icewm
index 399a04b3a2..a2fdacc78a 100644
--- a/desktop/icewm/xinitrc.icewm
+++ b/desktop/icewm/xinitrc.icewm
@@ -5,25 +5,13 @@ usermodmap=$HOME/.Xmodmap
sysresources=/usr/lib/X11/xinit/.Xresources
sysmodmap=/usr/lib/X11/xinit/.Xmodmap
-# merge in defaults and keymaps
+# Merge in defaults and keymaps
+[ -f $sysresources ] && /usr/bin/xrdb -merge $sysresources
+[ -f $sysmodmap ] && /usr/bin/xmodmap $sysmodmap
+[ -f $userresources ] && /usr/bin/xrdb -merge $userresources
+[ -f $usermodmap ] && /usr/bin/xmodmap $usermodmap
-if [ -f $sysresources ]; then
- /usr/bin/xrdb -merge $sysresources
-fi
-
-if [ -f $sysmodmap ]; then
- /usr/bin/xmodmap $sysmodmap
-fi
-
-if [ -f $userresources ]; then
- /usr/bin/xrdb -merge $userresources
-fi
-
-if [ -f $usermodmap ]; then
- /usr/bin/xmodmap $usermodmap
-fi
-
-# Create default user directory & populate it if not already existent
+# Create default user directory & populate it if it does not already exist
if [ ! -d $HOME/.icewm ]; then
mkdir $HOME/.icewm
for FILE in keys menu preferences toolbar winoptions;